import 'dart:io';

import 'package:json_annotation/json_annotation.dart';
part 'ai.g.dart';

@JsonSerializable(fieldRename: FieldRename.snake, explicitToJson: true)
class FacialVerificationRequest {

  @JsonKey(name: 'image_1')
  late String image1FilePath;
  @JsonKey(name: 'image_2')
  late String image2FilePath;

  FacialVerificationRequest({required this.image1FilePath, required this.image2FilePath});

  factory FacialVerificationRequest.fromJson(Map<String, dynamic> json) =>
      _$FacialVerificationRequestFromJson(json);
  Map<String, dynamic> toJson() => _$FacialVerificationRequestToJson(this);
}