
import 'package:json_annotation/json_annotation.dart';

part 'bvn_request.g.dart';

@JsonSerializable(explicitToJson: true)
 class BVNRequest{
  @JsonKey(name: 'bvn_number')
  late String bvnNumber;

  BVNRequest({required String bvnNumber}) {
    this.bvnNumber = bvnNumber;
  }

  factory BVNRequest.fromJson(Map<String, dynamic> json) =>
      _$BVNRequestFromJson(json);
  Map<String, dynamic> toJson() => _$BVNRequestToJson(this);

}