//{ "license_number": "license_number", "phone_number": "phonenumber", "full_name": "full_name", "dob": "dob" }

import 'package:json_annotation/json_annotation.dart';
part 'dl_request.g.dart';

@JsonSerializable(explicitToJson: true)
class DLRequest{
  @JsonKey(name: 'phone_number')
  late String phoneNumber;

  @JsonKey(name: 'license_number')
  late String licenceNumber;

  @JsonKey(name: 'full_name')
  late String fullName;

  @JsonKey(name: 'dob')
  late String dateOfBirth;

  DLRequest(
  {required this.phoneNumber, required this.licenceNumber, required this.fullName, required this.dateOfBirth});

  factory DLRequest.fromJson(Map<String, dynamic> json) =>
      _$DLRequestFromJson(json);
  Map<String, dynamic> toJson() => _$DLRequestToJson(this);
}