import 'package:json_annotation/json_annotation.dart';

part 'ibvn_request.g.dart';

@JsonSerializable(explicitToJson: true)
class IBVNRequest {
  @JsonKey(name: 'bvn_number')
  late String bvnNumber;

  IBVNRequest({required this.bvnNumber});

  factory IBVNRequest.fromJson(Map<String, dynamic> json) =>
      _$IBVNRequestFromJson(json);
  Map<String, dynamic> toJson() => _$IBVNRequestToJson(this);
}