

import 'package:json_annotation/json_annotation.dart';
part 'nin_request.g.dart';
@JsonSerializable(explicitToJson: true)
class NINRequest{
  @JsonKey(name: 'nin_number')
  late String ninNumber;
  @JsonKey(name: 'phone_number')
  late String phoneNumber;

  NINRequest({required this.ninNumber, required this.phoneNumber});

  factory NINRequest.fromJson(Map<String, dynamic> json) =>
      _$NINRequestFromJson(json);
  Map<String, dynamic> toJson() => _$NINRequestToJson(this);
}