
//{ "passport_number": "passport number", "phone_number": "phonenumber", "first_name": "first_name", "last_name": "last_name", "dob": "dob" }
import 'package:json_annotation/json_annotation.dart';
part 'nip_request.g.dart';

@JsonSerializable(explicitToJson: true)
class NIPRequest {
  @JsonKey(name: 'passport_number')
  late String passportNumber;

  @JsonKey(name: 'phone_number')
  late String phoneNumber;

  @JsonKey(name: 'first_name')
  late String firstName;

  @JsonKey(name: 'last_name')
  late String lastName;

  @JsonKey(name: 'dob')
  late String dateOfBirth;

  NIPRequest({required this.passportNumber, required this.phoneNumber, required this.firstName,
    required this.lastName, required this.dateOfBirth});

  factory NIPRequest.fromJson(Map<String, dynamic> json) =>
      _$NIPRequestFromJson(json);
  Map<String, dynamic> toJson() => _$NIPRequestToJson(this);
}