import 'package:json_annotation/json_annotation.dart';

part 'pvc_request.g.dart';

@JsonSerializable(explicitToJson: true)
class PVCRequest {
  @JsonKey(name: 'pvc_number')
  late String pvcNumber;
  @JsonKey(name: 'last_name')
  late String lastName;
  @JsonKey(name: 'phone_number')
  late String phoneNumber;
  @JsonKey(name: 'state')
  late String state;

  PVCRequest({ required this.pvcNumber, required this.lastName, required this.phoneNumber, required this.state});

  factory PVCRequest.fromJson(Map<String, dynamic> json) =>
      _$PVCRequestFromJson(json);
  Map<String, dynamic> toJson() => _$PVCRequestToJson(this);
}